# debug – Executes tasks in interactive debug session

- Synopsis
- Status

## Synopsis

- Task execution is ‘linear’ but controlled by an interactive debug session.

## Status

- This strategy is not guaranteed to have a backwards compatible interface. [preview]
- This strategy is maintained by the Ansible Community. [community]

### Authors

- Kishin Yagami

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.